/**
 * Copyright 2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
package com.nxp.io.gpio.natives;

public class GPIONatives {

	public native static int nativeInitGPIOPin(int pin, int direction, int pullConfig);

	public native static int nativeReadGPIOPin(int pin);

	public native static int nativeWriteGPIOPin(int pin, int level);

	public native static int nativeToggleGPIOPin(int pin);
}
