#!/bin/sh
# Copyright 2017-2023 MicroEJ Corp. All rights reserved.
# This library is provided in source code for use, modification and test, subject to license terms.
# Any modification of the source code will break MicroEJ Corp. warranties on the whole library.


# check if java command exists 
java -version
if [ $? -ne 0 ];
then
	echo =========================================
	echo =========================================
	echo Cannot found the java command.
	echo Please install it.
	echo =========================================
	echo =========================================
	exit 1
else
	echo MicroEJ Virtual Device is being launched. Relax and enjoy

	export ANT_HOME=tools/ant
	java -cp "tools/ant/lib/*" org.apache.tools.ant.Main -buildfile s3Standalone.microejLaunch
fi